Hi Allen

We recently upgrade our Zookeeper clusters from 3.4.13 to 3.5.5. 

Yes the rolling upgrade are possible and it is backward compatible meaning 
zkclient running on version 3.4.13 can still interact with zkserver 3.5.5.

Unless you want to leverage dynamic reconfiguration options , the rest of the 
configuration are very similar. With new version there are other interesting 
features like Authentication with Kerberos and TLS , Admin UI which all are 
optional.

Thanks
Srikant Kalani 
Sent from my iPhone

> On 15 Feb 2020, at 6:11 AM, allen chan <allen.michael.c...@gmail.com> wrote:
> 
> Hello
> 
> I have been trying to find a guide that describes upgrade process from
> 3.4.x to 3.5.x.
> I cannot find anything on the main zookeeper page.
> What i am looking for are breaking changes, configuration changes,
> compatibility matrix, is rolling upgrade ok?
> 
> Thanks
> -- 
> Allen Michael Chan

Reply via email to